class Yen extends Waehrung {
    private static double kurs;

    public Yen(double betrag) {
        super(betrag);
    }

    public static void setKurs(double kurs) {
        Yen.kurs = kurs;
    }

    @Override
    public double dollarBetrag() {
        return getBetrag() * kurs;
    }
}